> ## Documentation Index
> Fetch the complete documentation index at: https://docs.formabledocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a signed envelope for a signature request

> Retrieves a presigned URL for the signed envelope associated with a signature request. The envelope must be in Completed status.



## OpenAPI

````yaml /api-reference/openapi.json get /signature-requests/{signatureRequestId}/signed-envelope
openapi: 3.0.0
info:
  title: Formable API
  version: 1.0.0
  description: External API for redlining and e-signatures.
servers:
  - url: https://api.formabledocs.com/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Templates
    description: Upload documents and generate editor URLs.
  - name: Signature Requests
    description: Send documents for e-signature and retrieve signed results.
  - name: Redlining
    description: Create and manage collaborative redline negotiations.
  - name: Billing
    description: Retrieve usage information.
  - name: Health
    description: Service health checks.
paths:
  /signature-requests/{signatureRequestId}/signed-envelope:
    get:
      tags:
        - Signature Requests
      summary: Get a signed envelope for a signature request
      description: >-
        Retrieves a presigned URL for the signed envelope associated with a
        signature request. The envelope must be in Completed status.
      parameters:
        - in: path
          name: signatureRequestId
          required: true
          schema:
            type: string
          description: The ID of the signature request
          example: abc123xyz
      responses:
        '200':
          description: Signed envelope retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  signedEnvelopePresignedUrl:
                    type: string
                    format: uri
                    description: Presigned URL to access the signed envelope
                    example: >-
                      https://s3.amazonaws.com/bucket/signed-envelope.pdf?presigned-params
        '400':
          description: Bad request - missing or invalid parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: SignatureRequestId is required
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          description: >-
            Forbidden - client not authorized to get signed envelope for this
            signature request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Client not authorized to get signed envelope for this
                      signature request
        '404':
          description: Signature request not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Signature request not found for id abc123xyz
        '409':
          description: Conflict - envelope has not been signed yet
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Envelope has not been signed yet
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Internal server error
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized - missing or invalid bearer token
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Auth token not valid
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````